phpcs(1)

NAME
phpcs - php code sniffer cli tool

SYNOPSIS
phpcs [-nwlsapvi] [-d key[=value]] [--report=<report>] [--report-file=<reportfile>] [--report-<report>=<reportfile>] ... [--report-width=<reportWidth>] [--generator=<generator>] [--tab-width=<tabWidth>] [--severity=<severity>] [--error-severity=<severity>] [--warning-severity=<severity>] [--config-set key value] [--config-delete key] [--config-show] [--standard=<standard>] [--sniffs=<sniffs>] [--encoding=<encoding>] [--extensions=<extensions>] [--ignore=<patterns>] <file> ...

DESCRIPTION

phpcs (or PHP_CodeSniffer) is a PHP5 script that tokenises PHP, JavaScript and CSS files to detect violations of a defined coding standard. It is an essential development tool that ensures your code remains clean and consistent. It can also help prevent some common semantic errors made by developers.

PARAMETERS

<file>

    One or more files and/or directories to check

<extensions>

    A comma separated list of file extensions to check (only valid if checking a directory)

<patterns>

    A comma separated list of patterns to ignore files and directories

<encoding>

    The encoding of the files being checked (default is iso-8859-1)

<sniffs>

    A comma separated list of sniff codes to limit the check to (all sniffs must be part of the specified standard)

<severity>

    The minimum severity required to display an error or warning

<standard>

    The name or path of the coding standard to use

<tabWidth>

    The number of spaces each tab represents

<generator>

    The name of a doc generator to use (forces doc generation instead of checking)

<report>

    Print either the "full", "xml", "checkstyle", "csv", "emacs", "source", "summary", "svnblame", "gitblame" or "hgblame" report (the "full" report is printed by default)

<reportfile>

    Write the report to the specified file path

<reportWidth>

    How many columns wide screen reports should be printed

OPTION

-n

    Do not print warnings (shortcut for ---warning-severity=0)

-w

    Print both warnings and errors (on by default)

-l

    Local directory only, no recursion

-s

    Show sniff codes in all reports

-a

    Run interactively

-p

    Show progress of the run

-v[v][v]

    Print verbose output

-i

    Show a list of installed coding standards

-d

    Set the [key] php.ini value to [value] or [true] if -value is omitted

--help

    Print the help message

--version

    Print version information